#ifndef __MiscTracer_h
#define __MiscTracer_h
#ifdef __GNUC__
#pragma interface
#endif
//=============================================================================
//
//		Copyright (C) 1997 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTracer.h
//
//		Simple C++ class that helps generate function enter/exit
//		trace messages.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTracer.h,v 1.1 97/12/22 22:00:23 zarnuk Exp $
// $Log:		MiscTracer.h,v $
//	Revision 1.1  97/12/22	22:00:23  zarnuk
//	v134: Utility class to create function enter/exit messages.
//	
//-----------------------------------------------------------------------------
extern "C" {
#include <stdio.h>
}


class MiscTracer
		{
private:
static	int TRACE_DEPTH;
		char const* msg;
public:
		MiscTracer( char const* s ): msg(s)
			{
			fprintf( stderr, "%*s-> %s\n", TRACE_DEPTH, "", msg );
			TRACE_DEPTH += 2;
			}
		~MiscTracer()
			{
			TRACE_DEPTH -= 2;
			fprintf( stderr, "%*s<- %s\n", TRACE_DEPTH, "", msg );
			}
		void foo() const {}		// compiler muffler
static	int get_depth()			{ return TRACE_DEPTH; }
		};


#ifdef TRACE_ON
#define TRACE(X)		MiscTracer mcgh_tracer(X); mcgh_tracer.foo();
#else
#define TRACE(X)
#endif

#endif // __MiscTracer_h
